Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011564 [DCSS] Bug Report minor always 2018-07-24 21:07 2018-07-27 21:12
Reporter rigrig View Status public  
Assigned To aidanholm
Priority normal Resolution done  
Status closed   Product Branch 0.22 old branch
Summary 0011564: Graphical icon in item details while tile_display_mode=glyph
Description In my rc file I have
tile_display_mode = glyphs
to make the dungeon look like the console version by using glyphs

Everything shows up properly as text glyphs, but now in item details it also shows a graphical icon.

To reproduce:

1) Open the information window for an item, e.g.:
  "ia" for starting weapon
  "x<select floor item>v" for floor loot

Expected result:
something like
_____________________________
| a - a +1 dagger. |
| <description goes here> |


Actual result:
_____________________________
| # a - a +1 dagger. |
| <description goes here> |

Where # is the graphical icon for the item


This seems to happen for all detail windows:
- M!a spell descriptions
- a!a abilities
- ?V version screen


It works fine in 0.21 (i.e. no icons show up there)


server: underhound.eu
username: Oki
Additional Information
Tags No tags attached.
Attached Files png file icon dagger.png [^] (4,372 bytes) 2018-07-24 21:07

- Relationships

-  Notes
(0032445)
aidanholm (developer)
2018-07-26 15:52

Thanks! Fixed at aabaeaee60. Also, your screenshot brought a bug in item description menus to my attention (the tile and item name aren't lined up properly); fixed that one at 4bbc76fb7f.
(0032455)
rigrig (reporter)
2018-07-27 21:10

Thanks, stuff looks properly texty again!

- Issue History
Date Modified Username Field Change
2018-07-24 21:07 rigrig New Issue
2018-07-24 21:07 rigrig File Added: dagger.png
2018-07-26 15:52 aidanholm Note Added: 0032445
2018-07-26 15:52 aidanholm Status new => resolved
2018-07-26 15:52 aidanholm Fixed in Branch => 0.22 development branch
2018-07-26 15:52 aidanholm Resolution open => done
2018-07-26 15:52 aidanholm Assigned To => aidanholm
2018-07-27 21:10 rigrig Note Added: 0032455
2018-07-27 21:11 rigrig Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker